Package wx :: Module html :: Class HtmlHelpWindow

[frames | no frames]

## Type HtmlHelpWindow

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                        HtmlHelpWindow

Proxy of C++ HtmlHelpWindow class

Method Summary
| ``__init__`(self, *args, **kwargs)` int style=wxTAB_TRAVERSAL|wxNO_BORDER, int helpStyle=HF_DEFAULT_STYLE, HtmlHelpData data=None) -> HtmlHelpWindow
bool | ``Create`(self, parent, id, pos, size, style, name)` Create the GUI part of the Window for 2-phase creation mode.
bool | `Display(self, x)`
bool | `DisplayContents(self)`
bool | `DisplayID(self, id)`
bool | `DisplayIndex(self)`
wxHtmlHelpFrameCfg | `GetCfgData(self)`
HtmlHelpController | `GetController(self)`
HtmlHelpData | `GetData(self)`
HtmlWindow | `GetHtmlWindow(self)`
SplitterWindow | `GetSplitterWindow(self)`
wxToolBar | `GetToolBar(self)`
wxPyTreeCtrl | `GetTreeCtrl(self)`
bool | `KeywordSearch(self, keyword, mode)`
| `NotifyPageChanged(self)`
| `ReadCustomization(self, cfg, path)`
| `RefreshLists(self)`
| `SetController(self, controller)`
| `UseConfig(self, config, rootpath)`
| `WriteCustomization(self, cfg, path)`

Property Summary
| `CfgData`: See `GetCfgData`
| `Controller`: See `GetController` and `SetController`
| `Data`: See `GetData`
| `HtmlWindow`: See `GetHtmlWindow`
| `SplitterWindow`: See `GetSplitterWindow`
| `thisown`: The membership flag
| `ToolBar`: See `GetToolBar`
| `TreeCtrl`: See `GetTreeCtrl`

Instance Method Details

### __init__(self, *args, **kwargs)
(Constructor)

__init__(self, Window parent, int ?, Point pos=DefaultPosition, Size size=DefaultSize,
  int style=wxTAB_TRAVERSAL|wxNO_BORDER, int helpStyle=HF_DEFAULT_STYLE, HtmlHelpData data=None) -> HtmlHelpWindow

  Overrides:
    `wx.Window.__init__`

### Create(self, parent, id, pos=DefaultPosition, size=DefaultSize, style=wxTAB_TRAVERSAL|wxNO_BORDER, helpStyle=HF_DEFAULT_STYLE)

Create the GUI part of the Window for 2-phase creation mode.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Window.Create` (inherited documentation)

Property Details

### CfgData

See `GetCfgData`

  Get Method:
    `GetCfgData`(self)

### Controller

See `GetController` and `SetController`

  Get Method:
    `GetController`(self)
  Set Method:
    `SetController`(self, controller)

### Data

See `GetData`

  Get Method:
    `GetData`(self)

### HtmlWindow

See `GetHtmlWindow`

  Get Method:
    `GetHtmlWindow`(self)

### SplitterWindow

See `GetSplitterWindow`

  Get Method:
    `GetSplitterWindow`(self)

### thisown

The membership flag

  Get Method:
    unknown--1218976628(...)
  Set Method:
    unknown--1218976572(...)

### ToolBar

See `GetToolBar`

  Get Method:
    `GetToolBar`(self)

### TreeCtrl

See `GetTreeCtrl`

  Get Method:
    `GetTreeCtrl`(self)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:46 2007 | http://epydoc.sf.net